Bug 192052 - (bitgtkmm) Review Request: bitgtkmm (Gtkmm widgets for the bit library)
Review Request: bitgtkmm (Gtkmm widgets for the bit library)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On: 183953
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-17 00:49 EDT by Rick L Vinyard Jr
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 23:51:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick L Vinyard Jr 2006-05-17 00:49:29 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/bitgtkmm.spec

SRPM URL: http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/bitgtkmm-0.2.1-1.src.rpm

Description: 
The bitgtkmm library contains gtkmm widgets to display and manipulate the buffers, records, fields and elements of the bit library, as well as displaying data streams parsed by bit library specifications.
Comment 1 Rick L Vinyard Jr 2006-06-23 00:54:49 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/bitgtkmm.spec

SRPM URL: http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/bitgtkmm-0.2.1-2.src.rpm

Changes:
- Added AUTHORS and COPYING to bitgkmm main package
- Changed prdownloads.sf.net to download.sf.net
Comment 2 Rick L Vinyard Jr 2006-07-06 17:54:08 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/bitgtkmm.spec

SRPM URL: http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/bitgtkmm-0.2.2-1.src.rpm

Changes:
- New upstream release
- Removed *.md5, *.map and *.dot in upstream package
- Changed mv of docs to cp
Comment 3 Paul F. Johnson 2006-07-29 18:15:38 EDT
%build
%configure --enable-static=no
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

make DESTDIR=%{buildroot} install

You need to be consistant with using macros. Either constantly use %{__make} or
just plain make

I'll look some more later
Comment 4 Rick L Vinyard Jr 2006-07-29 18:56:39 EDT
Ahh, good catch. %{__make} is probably better. I'll change it in papyrus too.
Comment 5 Paul F. Johnson 2006-07-29 19:42:51 EDT
Builds fine in mock. However.

Blocker : For the devel, you need to add bitgtkmm to the Requires list
Blocker : run rpm -qa --requires on the installed bitgtkmm. Quite a lot of the
output are for standard libs, but you cannot rely on people having gtkmm
installed (or a few of the others)

Fix these and we should be good to go (more or less!)
Comment 6 Rick L Vinyard Jr 2006-07-29 19:57:23 EDT
> Blocker : For the devel, you need to add bitgtkmm to the Requires list

It's there. It's in the standard devel line, right above the specific requires 
that I add for bitgtkmm:
  Requires:         %{name} = %{version}-%{release}
Puts a specific dependency on the main package and the specific version and 
release that the headers belong to.

How about if I change it to:
  Requires:         bitgtkmm = %{version}-%{release}

> Blocker : run rpm -qa --requires on the installed bitgtkmm. Quite a lot of the
> output are for standard libs, but you cannot rely on people having gtkmm
> installed (or a few of the others)

Those are all added by rpmbuild.
Comment 7 Paul F. Johnson 2006-07-29 20:07:51 EDT
8-->
It's there. It's in the standard devel line, right above the specific requires 
that I add for bitgtkmm:
  Requires:         %{name} = %{version}-%{release}
<--8

D'oh!

8-->
> Blocker : run rpm -qa --requires on the installed bitgtkmm. Quite a lot of the
> output are for standard libs, but you cannot rely on people having gtkmm
> installed (or a few of the others)

Those are all added by rpmbuild.
<--8

No. These are packages required to run. Say I didn't have atkmm on my machine
(just as an example). Without the R atkmm being explictly states in the spec
file, the package would know no better until it gets to a point that atkmm is
needed and then it falls over dead.

I had a similar problem with Anjuta-1.2.4a a while back in that gtkmm was not in
as an explicit R. However, when you came to try and create a gtkmm package, the
software complained like crazy. Add the R line for gtkmm and everything was
happy again.
Comment 8 Rick L Vinyard Jr 2006-07-29 21:08:54 EDT
> No. These are packages required to run. Say I didn't have atkmm on my machine
> (just as an example). Without the R atkmm being explictly states in the spec
> file, the package would know no better until it gets to a point that atkmm is
> needed and then it falls over dead.

Check out:
  http://fedoraproject.org/wiki/Packaging/Guidelines#Requires

rpmbuild adds the requires, such as (continuing with the atkmm example):
libatkmm-1.6.so.1()(64bit)

If you try and install bitgtkmm, rpm will complain that libatkmm-1.6.so.1 is 
required. If you're using yum, it will look up libatkmm-1.6.so.1 as a library 
in atkmm and add atkmm to the dependency installs.

The situation you ran into with Anjuta was a little different. The reason why 
you had to explicitly add it was that the Anjuta runtime didn't have a 
dependency on the gtkmm runtime libraries, so rpmbuild didn't add it to the rpm 
requires.
Comment 9 Paul F. Johnson 2006-07-30 18:23:19 EDT
Yep. You're right.

Okay - let's get on with this!

Good
----

Builds fine in mock (x86)
Spec file checks out fine - no dupes, no problems with permissions,
documentation included in subpackages, consistent use of macros, no BR problems
Package installs fine, rpmlint shows nothing of importance on the packages
(installed or as rpms)


Niggles
-------

Unhappy with the *.so things in the %files and %files devel, but this is down to
me and nothing that can be blocked.

I can't see any other problems with this.

APPROVED
Comment 10 Paul Howarth 2006-07-31 07:25:30 EDT
The -devel package includes a .pc file, which is useless without pkgconfig, ergo
the -devel package should Require: pkgconfig

See also:
http://fedoraproject.org/wiki/Packaging/IRCLog20060706
Comment 11 Paul F. Johnson 2006-07-31 17:54:40 EDT
Thanks - rpm -qa --provides though didn't show this. I'll remember this for
future spec files.
Comment 12 Rick L Vinyard Jr 2006-08-01 23:50:48 EDT
> Unhappy with the *.so things in the %files and %files devel

> The -devel package includes a .pc file, which is useless without pkgconfig, ergo
> the -devel package should Require: pkgconfig

Fixed in the first build.

Note You need to log in before you can comment on or make changes to this bug.